#
# spec file for package setserial (Version 2.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         setserial
Copyright:    GPL
Group:        Applications/System
Provides:     util:/sbin/setserial
Autoreqprov:  on
Version:      2.17
Release:      129
Summary:      Utility for configuring serial ports
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/setserial-%{version}.tar.bz2
Source1:      serial.init
Patch: setserial-%{version}.dif
BuildRoot:    %{_tmppath}/setserial-root

%description
Setserial is a basic system utility for displaying or setting serial
port information. Setserial can reveal and allow you to alter the I/O
port and IRQ that a particular serial device is using, and more.

SuSE series: ap

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --bindir=/bin --mandir=%{_mandir}
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}/bin
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
make install DESTDIR="$RPM_BUILD_ROOT"
install %SOURCE1 ${RPM_BUILD_ROOT}/etc/init.d/serial

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ifnarch ppc sparc sparcv9 sparc64 s390
sbin/insserv etc/init.d/serial
%endif

%postun
%ifnarch ppc sparc sparcv9 sparc64 s390
sbin/insserv etc/init.d
%endif

%files
%doc README setserial.lsm rc.serial
%config /etc/init.d/serial
/bin/setserial
%doc %{_mandir}/man8/setserial.8.gz

%changelog -n setserial
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Feb 14 2001 - kukuk@suse.de
- Add init.d/serial script moved from aaa_base, fix setserial
  location and output messages [Bug #5420]
* Sat Oct 21 2000 - kukuk@suse.de
- Fix typo in spec file
* Fri Oct 20 2000 - kukuk@suse.de
- Initial version, split from util package
